#include <iostream>
#include <cmath>
int main(){
using namespace std;
long int n=0,i=0,j=0,m=0;
	
	cin>>n>>m;
	char lol[n][m];
	for(i=1; i<=n; i++){
		for(j=1; j<=m; j++){
		
		cin>> lol[i][j];
		
	}	
}

cout<<-1;
}